package org.gcube.portlets.user.workspace.client.view.panels;

import org.gcube.portlets.user.workspace.client.view.GxtListView;
import org.gcube.portlets.user.workspace.client.view.grids.GxtGridFilterGroupPanel;
import org.gcube.portlets.user.workspace.client.view.toolbars.GxtToolBarItem;

import com.extjs.gxt.ui.client.widget.ContentPanel;
import com.extjs.gxt.ui.client.widget.layout.FitLayout;

/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 *
 */
public class GxtItemsPanel extends ContentPanel{
	private GxtToolBarItem toolBarItem;
	private GxtGridFilterGroupPanel gridFilterViewContainer;
	private GxtListView iconsViewContainer;
	private GxtGridFilterGroupPanel gridGroupViewContainer;
	
	
	public GxtItemsPanel(GxtGridFilterGroupPanel gridFilterViewContainer,GxtListView iconsViewContainer, GxtGridFilterGroupPanel gridGroupViewContainer, GxtToolBarItem toolBarItem) {
		this.gridFilterViewContainer = gridFilterViewContainer;
		this.iconsViewContainer = iconsViewContainer;
		this.gridGroupViewContainer = gridGroupViewContainer;
		this.toolBarItem = toolBarItem;
		setBorders(false);
		setBodyBorder(false);
		setHeaderVisible(false);
		
		this.setLayout(new FitLayout());
		setTopComponent(this.toolBarItem.getToolBar());
		
		add(gridGroupViewContainer);

	}
	

}
